Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.pipeline.controller
Class PipelineException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--oracle.xml.pipeline.controller.PipelineException

All Implemented Interfaces:
  java.io.Serializable

public class PipelineException
extends java.lang.Exception

Represents an exception thrown by a pipeline method.

See Also:
  Serialized Form

Constructor Summary
`PipelineException(java.lang.Exception e)` Create a new PipelineException
`PipelineException(java.lang.String msg)` Create a new PipelineException

Method Summary
`java.lang.String` | `getExceptionType()` Get the type of the exception
`java.lang.String` | `getProcessId()` Get the Pipeline Process id where the exception is occuring

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PipelineException

    public PipelineException(java.lang.String msg)

  Create a new PipelineException
Parameters:
  `msg` - error message

### PipelineException

    public PipelineException(java.lang.Exception e)

  Create a new PipelineException
Parameters:
  `e` - exception embedded in the PipelineException

Method Detail

### getExceptionType

    public java.lang.String getExceptionType()

  Get the type of the exception
  Returns:
    String type of exception, eg. oracle.xml.pipeline.controller.PipelineException

### getProcessId

    public java.lang.String getProcessId()

  Get the Pipeline Process id where the exception is occuring
  Returns:
    String process id attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.